Remove slashes that cause problems when unpacking files with relative paths (bug...
authorMarius Mauch <genone@gentoo.org>
Sun, 21 Oct 2007 10:13:46 +0000 (10:13 -0000)
committerMarius Mauch <genone@gentoo.org>
Sun, 21 Oct 2007 10:13:46 +0000 (10:13 -0000)
svn path=/main/trunk/; revision=8200

bin/ebuild.sh

index b298724e2a15ff168c8c8fdf438c994637570913..bad2cacb19e57ec3977837e27f74ea474677eb61 100755 (executable)
@@ -371,20 +371,20 @@ unpack() {
                                ;;
                        7Z|7z)
                                local my_output
-                               my_output="$(7z x -y "${srcdir}/${x}")"
+                               my_output="$(7z x -y "${srcdir}${x}")"
                                if [ $? -ne 0 ]; then
                                        echo "${my_output}" >&2
                                        die "$myfail"
                                fi
                                ;;
                        RAR|rar)
-                               unrar x -idq -o+ "${srcdir}/${x}" || die "$myfail"
+                               unrar x -idq -o+ "${srcdir}${x}" || die "$myfail"
                                ;;
                        LHa|LHA|lha|lzh)
-                               lha xfq "${srcdir}/${x}" || die "$myfail"
+                               lha xfq "${srcdir}${x}" || die "$myfail"
                                ;;
                        a|deb)
-                               ar x "${srcdir}/${x}" || die "$myfail"
+                               ar x "${srcdir}${x}" || die "$myfail"
                                ;;
                        lzma)
                                if [ "${y}" == "tar" ]; then